"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const path_1 = __importDefault(require("path"));
const semo_plugin_serve_1 = require("semo-plugin-serve");
module.exports = ({ title, markdown, converted, argv }) => __awaiter(void 0, void 0, void 0, function* () {
    yield semo_plugin_serve_1.startServer({
        port: argv.port,
        proxy: true,
        // gzip: true,
        fileIndex: false,
        routeDir: path_1.default.resolve(__dirname, '../routers'),
        publicDir: path_1.default.resolve(__dirname, '../../assets'),
        viewsDir: path_1.default.resolve(__dirname, '../../views'),
        viewsData: { title, markdown },
        disableGlobalExcpetionRouter: true,
        openBrowser: argv.openBrowser,
        clearConsole: argv.clearConsole
    });
});
